Transactions
List transactions
Retrieves all financial transactions for orders and donations. Per order and donation, the response groups transactions into a Document, contains up to 50 Documents ordered by their modification date (modifiedOn), and supports dynamic cursors for pagination.
query Parameters
cursorIdentifies where the next page of results should begin. Should be the value of pagination.nextPageCursor from a previous response.
modifiedAfterTime-boxes the request to Documents that were modified after a given ISO 8601 UTC date and time string (YYYY-MM-DDThh:mm:ss.sZ).
modifiedBeforeTime-boxes the request to Documents that were modified before a given ISO 8601 UTC date and time string (YYYY-MM-DDThh:mm:ss.sZ).
orderIdHeaders
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
List transactions › Responses
A paginated list of transaction documents.
Array of Document resources. If the merchant site doesn't have any payment transactions for orders or donations, this array is empty.
Get transactions
Retrieves information for specific transaction Documents. The response contains up to 50 Documents. Multiple Documents can be retrieved by providing a comma-separated list of Document ids.
path Parameters
documentIdsSpecifies the Documents to retrieve. Multiple Documents can be retrieved by providing a comma-separated list of Document ids.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Get transactions › Responses
The requested transaction documents.
Array of Document resources.